<?PHP
/**
 * This file contains an exception class for trying to enter non-existent files.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class for non-existing files.
 */
final class MDFileDoesNotExist extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'This file does not exist: ' . $this->getMessage();
        return $errorMsg;

    }
}
